<?php
/*
 * @version $Id: mod_joomleague_top_tipper.php 1126 2008-06-09 05:45:04Z julienv $
 * @package Joomleague
 * @subpackage toptipper
 * @copyright Copyright (C) 2007  JoomLeague
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see _joomleague_license.txt
 *  
**********************************************
JoomLeague TOP TIPPER MODULE
Copyright (c) 2007 JoomLeague.de
**********************************************
This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 2 of the License, or 
(at your option) any later version.

This header must not be removed. Additional contributions/changes
may be added to this header as long as no information is deleted.
**********************************************

* TOP TIPPER MODULE
*
* 2008-01-08 - Version 0.93
*
* Displays the best prediction game teammates for selected project.
* There are some options for this module, which can be set in the 
* "Parameters" section of the module in Administration.
*

**********************************************
Get the latest version of JoomLeague at:
http://http://www.joomleague.de//
**********************************************
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
if (file_exists($mosConfig_absolute_path.'/components/com_joomleague/language/'.$mosConfig_lang.'.php')) {
  include_once($mosConfig_absolute_path.'/components/com_joomleague/language/'.$mosConfig_lang.'.php');
} 
else{
  include_once($mosConfig_absolute_path.'/components/com_joomleague/language/english.php');
}
require_once $mosConfig_absolute_path.'/administrator/components/com_joomleague/joomleague.class.php';
require_once $mosConfig_absolute_path.'/components/com_joomleague/js/joomleague_tabs.js.php';?>

<!-- To remain XHTML compatibility move this stylesheet link to the head of your index.php -->
<link rel="stylesheet" type="text/css" href="<?php echo $mosConfig_live_site;?>/components/com_joomleague/css/joomleague_tabs.css" />
<!-- Stylesheet link END -->

<script language="javascript" type="text/javascript">
<!-- // --><![CDATA[ 
var dhtml_top_tipper<?php echo $module->id; ?> = new mosDHTML();
// ]]></script>

<?php
//global $database;
//$params = mosParseParams( $module->params );

$view = $params->get('view');
$show = $params->get('show');
$link = $params->get('link');
$username=array();

$project_id = ($params->get('project_id')) ? $params->get('project_id') : 1;

$joomleague = new JoomLeague( $database);

if ( $joomleague->load($project_id) )
{
  if ($joomleague->usePrediction()) $joomleague->getPredictionConfig();
  $rounds = $joomleague->getRoundNames(); 
     
  switch($view) {
    case "overall":
      $anzahltabs = 1;
      $varRanking = array('1'=>'all');
      break;
    case "matchday":
      $anzahltabs = 1;
      $varRanking = array('1'=>'optimal');
      break;
    default:
      $anzahltabs = 2;
      $varRanking = array('1'=>'all','2'=>'optimal');
      break;
  }
  if ($view=='both') {
    switch( $params->get('standard_tab') ) {
      case "overall":
        $showtab = array('2','1');
        break;
      default:
        $showtab = array('1','2');
        break;
    }
  }
  ?>
  
  <?php if($show == 1){?><div align="center"><b><?php echo $joomleague->name;?></b></div><?php }?>
  
  <?php if ($view == 'both'){;?>
  <table cellspacing="0" cellpadding="1" border="0" width="100%">
    <tr align="center">
        <td width="50%" id="tab_top_tipper1<?php echo $module->id; ?>" class="offtab_top_tipper" onclick="dhtml_top_tipper<?php echo $module->id; ?>.cycleTab(this.id)"><?php echo _JL_TOTAL;?></td>
        <td width="50%" id="tab_top_tipper2<?php echo $module->id; ?>" class="offtab_top_tipper" onclick="dhtml_top_tipper<?php echo $module->id; ?>.cycleTab(this.id)"><?php echo _JL_MATCHDAY;?></td>       
   </tr>
  </table>
  <?php }
  
  for($i=1;$i<=$anzahltabs;$i++){;
  if ($anzahltabs==2) {?><div id="page_top_tipper<?php echo $i.$module->id; ?>" class="pagetext"><?php } ?>
  <table width="100%" align="center" border="0" cellpadding="0" cellspacing="0">
    <tr class="sectiontableheader">
      <td align="left" class="sectiontableheader" width="10"><?php echo "&nbsp;"?></td>
      <td align="left" class="sectiontableheader"><?php echo "Name"?></td>
      <td align="center" class="sectiontableheader"><?php echo "P";?></td>    
      <?php
      if ($params->get('avarage')==1) { ?>
      <td align="center" class="sectiontableheader">&#216;</td><?php } 
      if ($params->get('totaltips')==1) { ?>
      <td align="center" class="sectiontableheader"><?php  echo "T";?></td><?php } ?>
    </tr>
    
  <?php
      if($project_id>0){
      
        if ($joomleague->overview==0) $part=0; else if ($joomleague->current_round > intval(count($rounds)/2)) $part=2; else $part=1;
        if ($part==1) {
      	$from = 1;
      	$to = intval(count($rounds)/2);
        }
        elseif ($part==2) {
      	$from = intval(count($rounds)/2)+1;
      	$to = count($rounds);
        }
        else {
      	$from = intval(mosGetParam($_REQUEST, 'from', 1));
      	$to = count($rounds);
        }
        $tipRanking = new TipRanking();
        $tipRanking->setProject($joomleague);
        $showTipper = $tipRanking->getTippRanking($varRanking[$i], $to, $from,$params->get('limit'),0,'',0,$params->get('show_all_user'));
        $mainframe->setPageTitle(_JL_PAGE_TITLE_TIP_RANKING_ALL);
        $mainframe->appendPathWay(_JL_PAGE_TITLE_TIP_RANKING_ALL);
  $k = 0;
  //$showTipper = array_slice($results,0,$params->get('limit'));
  //unset($results);
    // new Gucky 2007/02/16 removed senseless queries and added assigned arrays $username, $results
    // changed picture_name to 'user_id' instead of 'username',
    // maybe also necessary for User in link to TipResults...
  if(count($showTipper)>0)
  {
      $lastRank = 0;
  foreach($showTipper as $val)
  	{
      
  	$class = ($k == 0)? 'sectiontableentry1' : 'sectiontableentry2';
        
  	$format = "%s.";
  
  
  ?>
    <tr class="<?php print $class;?>">
       <td align="right"><?php if ($val->rank!=$lastRank) printf($format, $val->rank);?></td>
      <td align="left">
      <?php if ($link == 'results'){
      echo "<a href=\"".sefRelToAbs("index.php?option=com_joomleague&amp;func=showTipResults&amp;Itemid=$Itemid&amp;p=$joomleague->id&amp;r=$joomleague->current_round&amp;uid=$val->user_id")."\">";
      echo $val->username;
      echo "</a>";
      };?>
      <?php if ($link == 'profile'){
      echo "<a href=\"".sefRelToAbs("index.php?option=com_joomleague&amp;func=showUser&amp;Itemid=$Itemid&amp;p=$joomleague->id&amp;uid=$val->user_id")."\">";
      echo $val->username;
      echo "</a>";
      };?>
      <?php if ($link == 'none'){
      echo $val->username;
      };?>        
      </td>
    <td align="center"><b><?php echo intval($val->points);?></b></td>    
       <?php
      if ($params->get('avarage')==1) { 
     	if ($val->tippCount>0) $averagepoints=number_format(round($val->points/$val->tippCount,2),2); else $averagepoints=number_format(0,2);?>
    <td align="center"><b><?php echo $averagepoints;?></b></td><?php }
      if ($params->get('totaltips')==1) { ?>
    <td align="center"><b><?php echo intval($val->tippCount);?></b></td><?php } ?>
    </tr>
  <?php
        $k = 1 - $k;
        $lastRank=$val->rank;
  //      if ($counter==$params->get('limit')) break;
      }
    }
    else echo "<tr><td colspan=\"6\" align=\"center\">"._JL_TIP_RESULTS_NO_TIP1."</td></tr>";
    unset($showTipper);
  ?>
  </table>
  <div align="center">
    <?php
    $url_string = "index.php?option=com_joomleague&amp;func=showTipRanking";
    if ($varRanking[$i]=='all') $url_string .= "&amp;mode=all";
    $url_string .= "&amp;p=$joomleague->id&amp;Itemid=$Itemid";
    echo "<a href=\"".sefRelToAbs($url_string)."\">";
    echo _JL_MORE;
    echo "</a>";
   ?>
  </div>
  </div>
  <?php }
  else echo "Module not configured properly in module config";
   };?>
  
  <?php if ($view == 'both') {?>
  <script language="javascript" type="text/javascript">
  <?php echo "dhtml_top_tipper".$module->id.".cycleTab('tab_top_tipper".$showtab[0].$module->id."');";?>
  <?php echo "dhtml_top_tipper".$module->id.".cycleTab('tab_top_tipper".$showtab[1].$module->id."');";?>
  </script>
  <?php 
  }
}
?>
